parser: fix a Coverity warning